summaryrefslogtreecommitdiff
path: root/packages/speech-dispatcher/files/speech-dispatcher.init
diff options
context:
space:
mode:
authorMatthias Hentges <oe@hentges.net>2008-01-05 16:45:13 +0000
committerMatthias Hentges <oe@hentges.net>2008-01-05 16:45:13 +0000
commitc8a8abcf0505228f0d50393e6e44a2dcea832b1a (patch)
tree2b547d3063e0bef631b172a3369ca1ae16b98d66 /packages/speech-dispatcher/files/speech-dispatcher.init
parentb3980479c23fe2a8cb24e7c2f2003d0ffa39513f (diff)
parent1281530838d3bfd8ba09e3d4ad5ecf69a7ba8239 (diff)
merge of '7a3bad457105ec40106bf5bc6341dfc5906a0088'
and 'a97c52f271b18a7c7146382c7acc35a108bda245'
Diffstat (limited to 'packages/speech-dispatcher/files/speech-dispatcher.init')
-rw-r--r--packages/speech-dispatcher/files/speech-dispatcher.init42
1 files changed, 42 insertions, 0 deletions
diff --git a/packages/speech-dispatcher/files/speech-dispatcher.init b/packages/speech-dispatcher/files/speech-dispatcher.init
new file mode 100644
index 0000000000..c3be5d8385
--- /dev/null
+++ b/packages/speech-dispatcher/files/speech-dispatcher.init
@@ -0,0 +1,42 @@
+#! /bin/sh
+
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/speech-dispatcher
+PIDFILE=/var/run/speech-dispatcher.pid
+NAME=speech-dispatcher
+DESC='Speech Dispatcher'
+USER=speech-dispatcher
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo "Starting $NAME"
+ start-stop-daemon --start --quiet --pidfile $PIDFILE \
+ --exec $DAEMON
+
+ ;;
+ stop)
+ echo "Stopping $NAME"
+ start-stop-daemon --oknodo --stop --quiet \
+ --pidfile $PIDFILE --exec $DAEMON
+ ;;
+ restart)
+ echo "Restarting $NAME"
+ start-stop-daemon --oknodo --stop --quiet \
+ --pidfile $PIDFILE --exec $DAEMON
+ sleep 3
+ start-stop-daemon --start --quiet --pidfile $PIDFILE \
+ --exec $DAEMON
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0